import 'package:bloc/bloc.dart';

class _BlocObserver extends BlocObserver {
  @override
  void onChange(Cubit cubit, Change change) {
    print(change);
    super.onChange(cubit, change);
  }

  @override
  void onError(Cubit cubit, Object error, StackTrace stackTrace) {
    print('$error, $stackTrace');
    super.onError(cubit, error, stackTrace);
  }
}

/// Print bloc transitions to stdout.
void enableBlocObserver() => Bloc.observer = _BlocObserver();
